Package ru.bitel.bgbilling.kernel.event.events

# Class GetContractStatusChangeDatesEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetContractStatusChangeDatesEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetContractStatusChangeDatesEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - получение списка дат для смены статуса договора в Web-статистике Получения списка дат с которых можно заблокировать/разблокировать договор или сменить статус в Web-статистике Также обрабатываются даты ДО в этих возможностях смены статуса Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetContractStatusChangeDatesEvent()`
  ``
  `GetContractStatusChangeDatesEvent(int userId, int cid, int currentStatus, Date date)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCurrentStatus()`
  Возвращает текущий(!)
  `Date`
  `getDate()`
  Возвращает текущую дату.
  `List<Date>`
  `getDateList()`
  Получение списка дат FROM (вызывается биллингом после обработки события).
  Список дат устанавливается скриптом.
  `List<Date>`
  `getDateToList()`
  Получение списка дат TO (вызывается биллингом после обработки события).
  Список дат устанавливается скриптом.
  `void`
  `setDateList(List<Date> dateList)`
  Установка списка дат FROM.
  Будет использоваться если передать значение не NULL
  `void`
  `setDateToList(List<Date> dateToList)`
  Установка списка дат TO.
  Будет использоваться если передать значение не NULL.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetContractStatusChangeDatesEvent

    protected GetContractStatusChangeDatesEvent()

  - ### GetContractStatusChangeDatesEvent

    public GetContractStatusChangeDatesEvent(int userId, int cid, int currentStatus, Date date)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `currentStatus` - - текущий статус
      `date` - - текущая дата

- ## Method Details

  - ### getDateList

    public List<Date> getDateList()
    Получение списка дат FROM (вызывается биллингом после обработки события).
    Список дат устанавливается скриптом.
    Returns:
      Список дат. Если значение не NULL, то список дат используется, или будет использоваться. [!] Если список дат пуст, то это означает, что нельзя менять статус.

  - ### getDateToList

    public List<Date> getDateToList()
    Получение списка дат TO (вызывается биллингом после обработки события).
    Список дат устанавливается скриптом.
    Returns:
      Список дат. Если значение не NULL, то список дат используется, или будет использоваться.

  - ### setDateList

    public void setDateList(List<Date> dateList)
    Установка списка дат FROM.
    Будет использоваться если передать значение не NULL. [!] Если передать пустой список, то это означает, что нельзя менять статус.
    Parameters:
      `dateList` - - список дат

  - ### setDateToList

    public void setDateToList(List<Date> dateToList)
    Установка списка дат TO.
    Будет использоваться если передать значение не NULL.
    Parameters:
      `dateToList` - - список дат

  - ### getDate

    public Date getDate()
    Возвращает текущую дату.
    Returns:
      дата

  - ### getCurrentStatus

    public int getCurrentStatus()
    Возвращает текущий(!) статус договора.
    Returns:
      статус договора